Package org.wso2.carbon.mediation.initializer.persistence.registry

# Class ImportRegistryStore

java.lang.Object
org.wso2.carbon.mediation.initializer.persistence.registry.AbstractRegistryStore
org.wso2.carbon.mediation.initializer.persistence.registry.ImportRegistryStore

public class ImportRegistryStore extends AbstractRegistryStore

- ## Field Summary

  ### Fields inherited from class org.wso2.carbon.mediation.initializer.persistence.registry.AbstractRegistryStore

  `configName, log, registry`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportRegistryStore(org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteElement(String name)`
  `protected String`
  `getConfigurationPath()`
  `org.apache.axiom.om.OMElement`
  `getElement(String name)`
  `Collection<org.apache.axiom.om.OMElement>`
  `getElements()`
  `void`
  `persistElement(String name, org.apache.axiom.om.OMElement element, String fileName)`

  ### Methods inherited from class org.wso2.carbon.mediation.initializer.persistence.registry.AbstractRegistryStore

  `createCollection, getChildElementsInPath, getConfigurationRoot, getResourceAsElement, handleException, handleException, persistElement`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImportRegistryStore

    public ImportRegistryStore(org.wso2.carbon.registry.core.session.UserRegistry registry, String configName)

- ## Method Details

  - ### getElements

    public Collection<org.apache.axiom.om.OMElement> getElements()
    Specified by:
      `getElements` in class `AbstractRegistryStore`

  - ### getElement

    public org.apache.axiom.om.OMElement getElement(String name)
    Specified by:
      `getElement` in class `AbstractRegistryStore`

  - ### persistElement

    public void persistElement(String name, org.apache.axiom.om.OMElement element, String fileName)
    Specified by:
      `persistElement` in class `AbstractRegistryStore`

  - ### deleteElement

    public void deleteElement(String name)
    Specified by:
      `deleteElement` in class `AbstractRegistryStore`

  - ### getConfigurationPath

    protected String getConfigurationPath()
    Specified by:
      `getConfigurationPath` in class `AbstractRegistryStore`